#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kclock
Summary:	Universal clock application
Summary(pl.UTF-8):	Uniwersalna aplikacja zegara
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	33ba5f71ee9371e78b5f15620205bb07
URL:		https://apps.kde.org/kclock/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Multimedia-devel
BuildRequires:	Qt6Network-devel >= 5.15.10
BuildRequires:	Qt6Qml-devel >= 5.15.10
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.101.0
BuildRequires:	kf6-kconfig-devel >= 5.109.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.109.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.101.0
BuildRequires:	kf6-ki18n-devel >= 5.101.0
BuildRequires:	kf6-kirigami-addons-devel >= 0.6
BuildRequires:	kf6-kirigami-devel >= 5.101.0
BuildRequires:	kf6-knotifications-devel >= 5.101.0
BuildRequires:	kp6-libplasma-devel
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A universal clock application for desktop and mobile.

%description -l pl.UTF-8
Uniwersalna aplikacja zegara dla urządzeń biurkowych i przenośnych.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/autostart/org.kde.kclockd-autostart.desktop
%attr(755,root,root) %{_bindir}/kclock
%attr(755,root,root) %{_bindir}/kclockd
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/applets/org.kde.plasma.kclock_1x2.so
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.Alarm.xml
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.AlarmModel.xml
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.KClockSettings.xml
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.Timer.xml
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.TimerModel.xml
%{_datadir}/dbus-1/interfaces/org.kde.kclockd.Utility.xml
%{_datadir}/dbus-1/services/org.kde.kclockd.service
%{_datadir}/knotifications6/kclockd.notifyrc
%{_datadir}/metainfo/org.kde.kclock.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.kclock_1x2.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.kclock_1x2
%{_desktopdir}/org.kde.kclock.desktop
%{_iconsdir}/hicolor/scalable/apps/kclock_plasmoid_1x2.svg
%{_iconsdir}/hicolor/scalable/apps/org.kde.kclock.svg
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kclock.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 68418ab
- updated to 25.04.1

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3fc20dd
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6384a55
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5d0b8ea
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 510bf77
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0b4d377
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> acc4174
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0a36a89
- updated to 24.08.3

* Mon Oct 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a4ce09d
- BR: kp6-libplasma-devel

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> b0942d4
- files cleanup

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> c683c01
- pl

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 1ee0e3a
- macros for ninja

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 684f88c
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3b51311
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 284cbf1
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bd2d40c
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1302e05
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4816b52
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c43e8b4
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> feaaf6f
- updated to 24.02.2

